Opened 2 months ago

Closed 6 weeks ago

#1468 closed defect (fixed)

Petascope_DateTime coefficients for irregular time is not correct

Reported by: bphamhuu Owned by: bphamhuu
Priority: major Milestone: 9.4
Component: petascope Version: development
Keywords: datetime, WCS, coefficients Cc: vmerticariu
Complexity: Medium

Description

the DateTime? coefficients for the coverageId: test_irregular_time_nc when DescribeCoverage? are not correct

  <gmlrgrid:offsetVector srsName="http://localhost:8080/def/crs-compound?1=http://localhost:8080/def/crs/OGC/0/UnixTime&amp;2=http://localhost:8080/def/crs/EPSG/0/3577">1 0 0</gmlrgrid:offsetVector>
            <gmlrgrid:coefficients>"2013-06-02T01:49:10Z" "2013-06-09T01:55:19Z" "2013-06-25T01:55:14Z" "2013-07-11T01:55:17Z" "2013-07-27T01:55:17Z" "2013-08-12T01:55:18Z" "2013-08-21T01:49:09Z" "2013-08-28T01:55:20Z" "2013-09-13T01:55:17Z" "2013-09-29T01:55:10Z" "2013-10-15T01:55:09Z" "2013-10-31T01:55:01Z" "2013-12-02T01:54:55Z" "2013-12-11T01:48:42Z" "2013-12-18T01:54:47Z"</gmlrgrid:coefficients>

as if request slicing with first coefficient will return error

http://localhost:8080/rasdaman/ows?&SERVICE=WCS&VERSION=2.0.1&REQUEST=GetCoverage&
COVERAGEID=test_irregular_time_nc&
SUBSET=unix("2013-06-02T01:49:10Z")&FORMAT=application/gml+xml
<ows:Exception exceptionCode="InvalidSubsetting">
<ows:ExceptionText>
Error converting WCPS query to rasql query: Invalid subsetting '1370137750:1370137750' is not within coverage's domain '1370137750.37:1387331687.45' for axis 'unix'.
</ows:ExceptionText>
</ows:Exception>

However, it works with another irregular coverage (test_irr_cube_2)

Change History (2)

comment:1 Changed 7 weeks ago by bphamhuu

  • Milestone changed from 9.3 to 9.4

comment:2 Changed 6 weeks ago by bphamhuu

  • Resolution set to fixed
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.